%define upstream_name    IPC-System-Simple
%define upstream_version 1.25

# find-requires extracts too much, cf https://qa.mandriva.com/show_bug.cgi?id=47678
# therefore, forcing explicit require skipping of Win32
%global __requires_exclude perl.Win32.

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Run commands simply, with detailed diagnostics
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(BSD::Resource)
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(List::Util)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(re)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Calling Perl's in-built 'system()' function is easy, determining if it was
successful is _hard_. Let's face it, '$?' isn't the nicest variable in the
world to play with, and even if you _do_ check it, producing a
well-formatted error string takes a lot of work.

'IPC::System::Simple' takes the hard work out of calling external commands.
In fact, if you want to be really lazy, you can just write:

    use IPC::System::Simple qw(system);

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.250.0-5.mga6
+ Revision: 1028809
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.250.0-4.mga6
+ Revision: 932165
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.250.0-3.mga5
+ Revision: 741146
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.250.0-2.mga5
+ Revision: 685110
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Feb 07 2014 sander85 <sander85> 1.250.0-1.mga5
+ Revision: 585177
- update to 1.25

* Mon Oct 21 2013 umeabot <umeabot> 1.230.0-2.mga4
+ Revision: 539987
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 sander85 <sander85> 1.230.0-1.mga4
+ Revision: 493117
- update to 1.23

* Sun Jan 13 2013 umeabot <umeabot> 1.210.0-2.mga3
+ Revision: 368669
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.210.0-1.mga1
+ Revision: 32109
- mageia rebuild
- imported package perl-IPC-System-Simple

